%define upstream_name Alt-Crypt-RSA-BigInt
%define upstream_version 0.06

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    RSA public-key cryptosystem, using Math::BigInt
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alt/%{upstream_name}-%{upstream_version}.tar.gz

Conflicts:	perl-Crypt-RSA

BuildRequires: perl(Benchmark)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Loader)
BuildRequires: perl(Convert::ASCII::Armour)
BuildRequires: perl(Crypt::Blowfish)
BuildRequires: perl(Crypt::CBC) >= 2.170.0
BuildRequires: perl(Data::Buffer)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::MD2)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::BigInt) >= 1.780.0
BuildRequires: perl(Math::BigInt::GMP)
BuildRequires: perl(Math::Prime::Util) >= 0.640.0
BuildRequires: perl(Math::Prime::Util::GMP)
BuildRequires: perl(Sort::Versions)
BuildRequires: perl(Test::More) >= 0.450.0
BuildRequires: perl(Tie::EncryptedHash)
BuildArch:  noarch

%description
This is a rework of Crypt::RSA to remove Math::Pari and instead base
all operations on Math::BigInt.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.60.0-5.mga9
+ Revision: 1808224
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-4.mga8
+ Revision: 1503433
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.60.0-3.mga7
+ Revision: 1281575
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.60.0-2.mga7
+ Revision: 1162801
- rebuild with fixed rpm for missing autodeps

* Tue Aug 01 2017 shlomif <shlomif> 0.60.0-1.mga7
+ Revision: 1133844
- New version 0.06

* Sat Jun 18 2016 pterjan <pterjan> 0.50.0-6.mga6
+ Revision: 1022495
- Rebuild for perl 5.22.2

* Sat Mar 26 2016 shlomif <shlomif> 0.50.0-5.mga6
+ Revision: 995678
- Rebuild for new perl dir
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 tv <tv> 0.50.0-3.mga6
+ Revision: 840235
- exclude requires from doc

* Tue Jun 23 2015 sander85 <sander85> 0.50.0-2.mga6
+ Revision: 839950
- Add conflicts on perl-Crypt-RSA

* Mon Jun 22 2015 sander85 <sander85> 0.50.0-1.mga6
+ Revision: 838910
- imported package perl-Alt-Crypt-RSA-BigInt

